apiVersion: rhdh.redhat.com/v1alpha2
kind: Backstage
metadata:
  annotations:
    meta.helm.sh/release-name: rhtap-dh
    meta.helm.sh/release-namespace: rhtap
  resourceVersion: '105068'
  name: developer-hub
  uid: f2ab8482-4ba4-4ecf-bac0-fc05b3635d5a
  creationTimestamp: '2024-10-02T18:06:00Z'
  generation: 1
  managedFields:
    - apiVersion: rhdh.redhat.com/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2024-10-02T18:06:00Z'
    - apiVersion: rhdh.redhat.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:meta.helm.sh/release-name': {}
            'f:meta.helm.sh/release-namespace': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/managed-by': {}
        'f:spec':
          .: {}
          'f:application':
            .: {}
            'f:appConfig':
              .: {}
              'f:configMaps': {}
              'f:mountPath': {}
            'f:dynamicPluginsConfigMapName': {}
            'f:extraEnvs':
              .: {}
              'f:secrets': {}
            'f:replicas': {}
            'f:route':
              .: {}
              'f:enabled': {}
          'f:database':
            .: {}
            'f:enableLocalDb': {}
      manager: rhtap-cli
      operation: Update
      time: '2024-10-02T18:06:00Z'
  namespace: rhtap
  labels:
    app.kubernetes.io/managed-by: Helm
spec:
  application:
    appConfig:
      configMaps:
        - name: developer-hub-rhtap-app-config
      mountPath: /opt/app-root/src
    dynamicPluginsConfigMapName: developer-hub-rhtap-dynamic-plugins
    extraEnvs:
      secrets:
        - name: developer-hub-rhtap-env
    replicas: 1
    route:
      enabled: true
  database:
    enableLocalDb: true
status:
  conditions:
    - lastTransitionTime: '2024-10-02T18:06:00Z'
      message: ''
      reason: Deployed
      status: 'True'
      type: Deployed
